diff --git a/web/pgadmin/static/js/slickgrid/editors.js b/web/pgadmin/static/js/slickgrid/editors.js
index 518ab7f4..7652bf3b 100644
--- a/web/pgadmin/static/js/slickgrid/editors.js
+++ b/web/pgadmin/static/js/slickgrid/editors.js
@@ -964,24 +847,24 @@
         if (!is_valid_array(value)) {
           return {
             valid: false,
-            msg: "Array must start with '{' and end with '}'"
+            msg: 'Array must start with \'{\' and end with \'}\'',
           };
         }
 
         var val = $.trim(value.slice(1, -1)),
-            arr;
+          arr;
 
-        if(val == '') {
+        if (val == '') {
           arr = [];
         } else {
-          var arr = val.split(',');
+          arr = val.split(',');
         }
 
         for (var k in arr) {
           if (isNaN(arr[k])) {
             return {
               valid: false,
-              msg: "Please enter a valid numbers"
+              msg: 'Please enter a valid numbers',
             };
           }
         }
@@ -989,7 +872,7 @@
 
       return {
         valid: true,
-        msg: null
+        msg: null,
       };
     };
 
@@ -1001,69 +884,67 @@
   function pgCheckboxEditor(args) {
     var $select, el;
     var defaultValue, previousState;
-    var scope = this;
 
-    this.init = function () {
-      $select = $("<div class='multi-checkbox'><span class='check' hideFocus></span></div>");
+    this.init = function() {
+      $select = $('<div class=\'multi-checkbox\'><span class=\'check\' hideFocus></span></div>');
       $select.appendTo(args.container);
       $select.focus();
 
       // The following code is taken from https://css-tricks.com/indeterminate-checkboxes/
-      $select.bind("click", function (e) {
+      $select.bind('click', function() {
         el = $(this);
-        var states = ["unchecked", "partial", "checked"];
-        var curState = el.find(".check").data("state");
+        var states = ['unchecked', 'partial', 'checked'];
+        var curState = el.find('.check').data('state');
         curState++;
-        el.find(".check")
-          .removeClass("unchecked partial checked")
+        el.find('.check')
+          .removeClass('unchecked partial checked')
           .addClass(states[curState % states.length])
-          .data("state", curState % states.length);
+          .data('state', curState % states.length);
       });
     };
 
-    this.destroy = function () {
+    this.destroy = function() {
       $select.remove();
     };
 
-    this.focus = function () {
+    this.focus = function() {
       $select.focus();
     };
 
-    this.loadValue = function (item) {
+    this.loadValue = function(item) {
       defaultValue = item[args.column.field];
       previousState = 1;
-      if (_.isNull(defaultValue)||_.isUndefined(defaultValue)) {
-        $select.find(".check").data("state", 1).addClass("partial");
-      }
-      else {
+      if (_.isNull(defaultValue) || _.isUndefined(defaultValue)) {
+        $select.find('.check').data('state', 1).addClass('partial');
+      } else {
         defaultValue = !!item[args.column.field];
         if (defaultValue) {
-          $select.find(".check").data("state", 2).addClass("checked");
+          $select.find('.check').data('state', 2).addClass('checked');
           previousState = 2;
         } else {
-          $select.find(".check").data("state", 0).addClass("unchecked");
+          $select.find('.check').data('state', 0).addClass('unchecked');
           previousState = 0;
         }
       }
     };
 
-    this.serializeValue = function () {
-      if ($select.find(".check").data("state") == 1) {
+    this.serializeValue = function() {
+      if ($select.find('.check').data('state') == 1) {
         return null;
       }
-      return $select.find(".check").data("state") == 2 ? true : false;
+      return $select.find('.check').data('state') == 2 ? true : false;
     };
 
-    this.applyValue = function (item, state) {
+    this.applyValue = function(item, state) {
       item[args.column.field] = state;
     };
 
-    this.isValueChanged = function () {
-      var currentState = $select.find(".check").data("state");
+    this.isValueChanged = function() {
+      var currentState = $select.find('.check').data('state');
       return currentState !== previousState;
     };
 
-    this.validate = function () {
+    this.validate = function() {
       if (args.column.validator) {
         var validationResults = args.column.validator(this.serializeValue());
         if (!validationResults.valid) {
@@ -1072,11 +953,11 @@
       }
       return {
         valid: true,
-        msg: null
+        msg: null,
       };
     };
 
     this.init();
   }
 
-})(jQuery);
+})(window.jQuery);
diff --git a/web/pgadmin/static/js/slickgrid/event_handlers/handle_query_output_keyboard_event.js b/web/pgadmin/static/js/slickgrid/event_handlers/handle_query_output_keyboard_event.js
index eb765131..a8685bc3 100644
--- a/web/pgadmin/static/js/slickgrid/event_handlers/handle_query_output_keyboard_event.js
+++ b/web/pgadmin/static/js/slickgrid/event_handlers/handle_query_output_keyboard_event.js
@@ -1,7 +1,7 @@
 define([
   'sources/selection/copy_data',
-  'sources/selection/range_selection_helper'
-  ],
+  'sources/selection/range_selection_helper',
+],
 function (copyData, RangeSelectionHelper) {
   return function handleQueryOutputKeyboardEvent(event, args) {
     var KEY_C = 67;
@@ -10,7 +10,7 @@ function (copyData, RangeSelectionHelper) {
     var isModifierDown = event.ctrlKey || event.metaKey;
     var self = this || window;
     self.slickgrid = args.grid;
-    self.csvOptions
+    self.csvOptions;
 
     if (isModifierDown && modifiedKey == KEY_C) {
       copyData.apply(self);
@@ -19,5 +19,5 @@ function (copyData, RangeSelectionHelper) {
     if (isModifierDown && modifiedKey == KEY_A) {
       RangeSelectionHelper.selectAll(self.slickgrid);
     }
-  }
+  };
 });
diff --git a/web/pgadmin/static/js/slickgrid/formatters.js b/web/pgadmin/static/js/slickgrid/formatters.js
index 31dbbac7..adfcf791 100644
--- a/web/pgadmin/static/js/slickgrid/formatters.js
+++ b/web/pgadmin/static/js/slickgrid/formatters.js
@@ -5,42 +5,40 @@
  * @namespace Slick
  */
 
-(function ($) {
+(function($) {
   // register namespace
   $.extend(true, window, {
-    "Slick": {
-      "Formatters": {
-        "JsonString": JsonFormatter,
-        "Numbers": NumbersFormatter,
-        "Checkmark": CheckmarkFormatter,
-        "Text": TextFormatter,
-        "Binary": BinaryFormatter,
-      }
-    }
+    'Slick': {
+      'Formatters': {
+        'JsonString': JsonFormatter,
+        'Numbers': NumbersFormatter,
+        'Checkmark': CheckmarkFormatter,
+        'Text': TextFormatter,
+        'Binary': BinaryFormatter,
+      },
+    },
   });
 
-  function NullAndDefaultFormatter(row, cell, value, columnDef, dataContext) {
+  function NullAndDefaultFormatter(row, cell, value, columnDef) {
     if (_.isUndefined(value) && columnDef.has_default_val) {
-        return "<span class='pull-left disabled_cell'>[default]</span>";
-    }
-    else if (
+      return '<span class=\'pull-left disabled_cell\'>[default]</span>';
+    } else if (
       (_.isUndefined(value) && columnDef.not_null) ||
       (_.isUndefined(value) || value === null)
     ) {
-      return "<span class='pull-left disabled_cell'>[null]</span>";
+      return '<span class=\'pull-left disabled_cell\'>[null]</span>';
     }
     return null;
   }
 
-  function NullAndDefaultNumberFormatter(row, cell, value, columnDef, dataContext) {
+  function NullAndDefaultNumberFormatter(row, cell, value, columnDef) {
     if (_.isUndefined(value) && columnDef.has_default_val) {
-        return "<span class='pull-right disabled_cell'>[default]</span>";
-    }
-    else if (
+      return '<span class=\'pull-right disabled_cell\'>[default]</span>';
+    } else if (
       (_.isUndefined(value) && columnDef.not_null) ||
       (_.isUndefined(value) || value === null)
     ) {
-      return "<span class='pull-right disabled_cell'>[null]</span>";
+      return '<span class=\'pull-right disabled_cell\'>[null]</span>';
     }
     return null;
   }
@@ -52,18 +50,18 @@
       return data;
     } else {
       // Stringify only if it's json object
-      if (typeof value === "object" && !Array.isArray(value)) {
+      if (typeof value === 'object' && !Array.isArray(value)) {
         return _.escape(JSON.stringify(value));
       } else if (Array.isArray(value)) {
         var temp = [];
         $.each(value, function(i, val) {
-          if (typeof val === "object") {
+          if (typeof val === 'object') {
             temp.push(JSON.stringify(val));
           } else {
-            temp.push(val)
+            temp.push(val);
           }
         });
-        return _.escape("[" + temp.join() + "]")
+        return _.escape('[' + temp.join() + ']');
       } else {
         return _.escape(value);
       }
@@ -76,7 +74,7 @@
     if (data) {
       return data;
     } else {
-      return "<span style='float:right'>" + _.escape(value) + "</span>";
+      return '<span style=\'float:right\'>' + _.escape(value) + '</span>';
     }
   }
 
@@ -90,7 +88,7 @@
     if (data) {
       return data;
     } else {
-      return value ? "true" : "false";
+      return value ? 'true' : 'false';
     }
   }
 
@@ -110,7 +108,7 @@
     if (data) {
       return data;
     } else {
-      return "<span class='pull-left disabled_cell'>[" + _.escape(value) + "]</span>";
+      return '<span class=\'pull-left disabled_cell\'>[' + _.escape(value) + ']</span>';
     }
   }
-})(jQuery);
+})(window.jQuery);
diff --git a/web/pgadmin/static/js/sqleditor/keyboard_shortcuts.js b/web/pgadmin/static/js/sqleditor/keyboard_shortcuts.js
index 9e593a2f..2ad47557 100644
--- a/web/pgadmin/static/js/sqleditor/keyboard_shortcuts.js
+++ b/web/pgadmin/static/js/sqleditor/keyboard_shortcuts.js
@@ -77,5 +77,5 @@ module.exports = {
   isKeyCtrlAlt: isKeyCtrlAlt,
   isKeyAltShift: isKeyAltShift,
   isKeyCtrlShift: isKeyCtrlShift,
-  isKeyCtrlAltShift: isKeyCtrlAltShift
+  isKeyCtrlAltShift: isKeyCtrlAltShift,
 };
diff --git a/web/pgadmin/static/js/sqleditor_utils.js b/web/pgadmin/static/js/sqleditor_utils.js
index ea775a50..21d31856 100644
--- a/web/pgadmin/static/js/sqleditor_utils.js
+++ b/web/pgadmin/static/js/sqleditor_utils.js
@@ -16,19 +16,19 @@ define(['jquery'],
        */
       epicRandomString: function(length) {
         var s = [];
-        var hexDigits = "0123456789abcdef";
+        var hexDigits = '0123456789abcdef';
         for (var i = 0; i < 36; i++) {
-            s[i] = hexDigits.substr(
+          s[i] = hexDigits.substr(
                     Math.floor(Math.random() * 0x10), 1
                   );
         }
         // bits 12-15 of the time_hi_and_version field to 0010
-        s[14] = "4";
+        s[14] = '4';
         // bits 6-7 of the clock_seq_hi_and_reserved to 01
         s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);
-        s[8] = s[13] = s[18] = s[23] = "-";
+        s[8] = s[13] = s[18] = s[23] = '-';
 
-        var uuid = s.join("");
+        var uuid = s.join('');
         return uuid.replace(/-/g, '').substr(0, length);
       },
 
@@ -55,7 +55,7 @@ define(['jquery'],
       },
       capitalizeFirstLetter: function (string) {
         return string.charAt(0).toUpperCase() + string.slice(1);
-      }
+      },
     };
     return sqlEditorUtils;
-});
+  });
diff --git a/web/pgadmin/static/js/url_for.js b/web/pgadmin/static/js/url_for.js
index b1005381..5133fceb 100644
--- a/web/pgadmin/static/js/url_for.js
+++ b/web/pgadmin/static/js/url_for.js
@@ -1,4 +1,4 @@
-define(["pgadmin.browser.endpoints"], function (endpoints) {
+define(['pgadmin.browser.endpoints'], function(endpoints) {
   /***
    * This method behaves as a drop-in replacement for flask url_for function.
    * It uses the exposed URLs file under the hood, and replace the substitions provided by the modules.
@@ -16,17 +16,15 @@ define(["pgadmin.browser.endpoints"], function (endpoints) {
     var rawURL = endpoints[endpoint];
 
     // captures things of the form <path:substitutionName>
-    var substitutionGroupsRegExp = /([<])([^:^>]*:)?([^>]+)([>])/g;
-    var matchFound;
-
-    var interpolated = rawURL;
+    var substitutionGroupsRegExp = /([<])([^:^>]*:)?([^>]+)([>])/g,
+      interpolated = rawURL;
 
     if (!rawURL)
       return rawURL;
 
     interpolated = interpolated.replace(
       substitutionGroupsRegExp,
-      function (_origin, _1, _2, substitutionName) {
+      function(_origin, _1, _2, substitutionName) {
         if (substitutionName in substitutions) {
           return substitutions[substitutionName];
         }
